<?php
if (!defined('USING_SYSTEM')) exit;

class p401edit_sxExe extends xIExecutor {
	
	public function main() {
		$tips = '';
		$vol = new xVolume((int)$_GET['id']);
		if(isset($_POST['sizeTxt'])) {
			$usize = $vol->size.'-'.$vol->rsize;
			$vol->size = $_POST['sizeTxt'];
			$vol->rsize = $_POST['sizeTxt'].'-('.$usize.')';
			$vol->stype = (int)$_POST['serverTxt'];
			$vol->update();
			$tips = '信息已经保存';
		}
		include_once(__ROOT__.'admin/ui.p401edit.php');
	}
	
	public function onError($result) {
		
	}
	
}
